Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class SyntheticCircuitChainProcessor

    java.lang.Object
      com.vordel.circuit.FilterContainer
          com.vordel.circuit.MessageProcessor
              com.vordel.circuit.DelegatingProcessor
                  com.vordel.circuit.CircuitChainProcessor
                      com.vordel.circuit.SyntheticCircuitChainProcessor

    public class SyntheticCircuitChainProcessor

extends CircuitChainProcessor

Field Summary

Fields inherited from class com.vordel.circuit.CircuitChainProcessor
`cdf`

Fields inherited from class com.vordel.circuit.MessageProcessor
`logMask, logMaskType`

Constructor Summary
`SyntheticCircuitChainProcessor()`

Method Summary
`CircuitInvocation` | `getFinalConext()`
`void` | `invoke(Message m, MessageProcessor lastChanceHandler)`
`void` | `logFailure(Message m)`
`void` | `logFatal(Message m)`
`void` | `logMessagePayload(Message m, com.vordel.log.LogFormatter formatter)`
`void` | `logSuccess(Message m)`

Methods inherited from class com.vordel.circuit.CircuitChainProcessor
`attach, callCircuit, filterAttached, invoke`

Methods inherited from class com.vordel.circuit.DelegatingProcessor
`callCircuit, callCircuit, getCDProc`

Methods inherited from class com.vordel.circuit.MessageProcessor
`filterDetached, getCategory, getLogMask, logFailure, logFatal, logMessagePayload, logSuccess, report, report, toString`

Methods inherited from class com.vordel.circuit.FilterContainer
`configureFilter, createFilterContainer, getFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntheticCircuitChainProcessor

    public SyntheticCircuitChainProcessor()

Method Detail

### invoke

    public void invoke(Message m,
                       MessageProcessor lastChanceHandler)
                throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### logFatal

    public void logFatal(Message m)
                  throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### logFailure

    public void logFailure(Message m)
                    throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### logSuccess

    public void logSuccess(Message m)
                    throws CircuitAbortException

  Throws:
    `CircuitAbortException`

### logMessagePayload

    public void logMessagePayload(Message m,
                                  com.vordel.log.LogFormatter formatter)
                           throws java.io.IOException,
                                  com.vordel.log.LoggingException

  Throws:
    `java.io.IOException`
    `com.vordel.log.LoggingException`

### getFinalConext

    public CircuitInvocation getFinalConext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel